[Deprecated]: v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/settings
Deprecated: Retrieves the study settings for a given study and mode. Rights: OrsInventoryGet.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : SupplySettingResponse
Type:
objectTitle:
SupplySettingResponseContains supply setting response detail.
Show Source
-
consignment: object
Consignment
Title:
ConsignmentContains consignment detail. -
initialShipments: object
InitialShipments
Title:
InitialShipmentsContains initial shipment detail. -
inventory: object
InventorySchedule
Title:
InventoryScheduleContains inventory schedule details. -
kitOrdering: object
KitOrdering
Title:
KitOrderingContains kit ordering detail. -
labelGroups: string
Label group.Example:
LG-01 -
resupplyType: array
Resupply Types
Title:
Resupply TypesResupply types. -
shippingGroups: string
Shipping group.Example:
SG-01 -
studyIdentifier: string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B1B8327AFAA6412287106192AB5984EF -
studyVersionStart: string
(date-time)
Study version start.Example:
2026-02-21T08:43:01Z
Example:
{
"studyIdentifier":"B1B8327AFAA6412287106192AB5984EF",
"studyVersionStart":"2026-02-21T08:43:01Z",
"initialShipments":{
"whenToSend":"AT_SITE_ACTIVATION",
"visitNumber":5
},
"resupplyType":[
{
"resupplyName":"Primary",
"resupplyType":"MINMAX"
}
],
"inventory":{
"daysToRun":{
"sunday":false,
"monday":true,
"tuesday":true,
"wednesday":true,
"thursday":true,
"friday":true,
"saturday":false
},
"timeToRun":{
"timeHour":2,
"timeMinute":30,
"timePeriod":"AM",
"timeZone":"UTC"
}
},
"kitOrdering":{
"allowed":"Y",
"blindingGroupsRequired":"Y",
"kitsToPreventUnblinding":"2",
"kitType":"BOTTLE"
},
"labelGroups":"LG-01",
"shippingGroups":"SG-01",
"consignment":{
"enableTemperatureExecursion":"N",
"notReceivedDaysToWaitBeforeSiteNotified":5,
"siteCanRequestManual":"Y"
}
}Nested Schema : Consignment
Type:
objectTitle:
ConsignmentContains consignment detail.
Show Source
-
enableTemperatureExecursion: string
Enable temperature excursion.Example:
N -
notReceivedDaysToWaitBeforeSiteNotified: integer
(int32)
Days to wait before site to be notified.Example:
5 -
siteCanRequestManual: string
Site can request manual.Example:
Y
Example:
{
"enableTemperatureExecursion":"N",
"notReceivedDaysToWaitBeforeSiteNotified":5,
"siteCanRequestManual":"Y"
}Nested Schema : InitialShipments
Type:
objectTitle:
InitialShipmentsContains initial shipment detail.
Show Source
-
visitNumber: integer
(int64)
Visit number.Example:
5 -
whenToSend: string
When to send initial shipment.Example:
AT_SITE_ACTIVATION
Example:
{
"whenToSend":"AT_SITE_ACTIVATION",
"visitNumber":5
}Nested Schema : InventorySchedule
Type:
objectTitle:
InventoryScheduleContains inventory schedule details.
Show Source
-
daysToRun: object
DaysToRun
Title:
DaysToRunDays to run inventory detail. -
timeToRun: object
TimeToRun
Title:
TimeToRunTime to run inventory detail.
Example:
{
"daysToRun":{
"sunday":false,
"monday":true,
"tuesday":true,
"wednesday":true,
"thursday":true,
"friday":true,
"saturday":false
},
"timeToRun":{
"timeHour":2,
"timeMinute":30,
"timePeriod":"AM",
"timeZone":"UTC"
}
}Nested Schema : KitOrdering
Type:
objectTitle:
KitOrderingContains kit ordering detail.
Show Source
-
allowed: string
Allowed.Example:
Y -
blindingGroupsRequired: string
Indicates whether blinding groups are required.Example:
Y -
kitsToPreventUnblinding: string
Kits to prevent unblinding.Example:
2 -
kitType: string
Kit type.Example:
BOTTLE
Example:
{
"allowed":"Y",
"blindingGroupsRequired":"Y",
"kitsToPreventUnblinding":"2",
"kitType":"BOTTLE"
}Nested Schema : Resupply Types
Type:
arrayTitle:
Resupply TypesResupply types.
Show Source
-
Array of:
object ResupplyType
Title:
ResupplyTypeContains resupply detail.
Example:
[
{
"resupplyName":"Primary",
"resupplyType":"MINMAX"
}
]Nested Schema : DaysToRun
Type:
objectTitle:
DaysToRunDays to run inventory detail.
Show Source
-
friday: boolean
Is inventory to run on Friday.Example:
true -
monday: boolean
Is inventory to run on Monday.Example:
true -
saturday: boolean
Is inventory to run on Saturday.Example:
true -
sunday: boolean
Is inventory to run on Sunday.Example:
true -
thursday: boolean
Is inventory to run on Thursday.Example:
true -
tuesday: boolean
Is inventory to run on Tuesday.Example:
true -
wednesday: boolean
Is inventory to run on Wednesday.Example:
true
Example:
{
"sunday":false,
"monday":true,
"tuesday":true,
"wednesday":true,
"thursday":true,
"friday":true,
"saturday":false
}Nested Schema : TimeToRun
Type:
objectTitle:
TimeToRunTime to run inventory detail.
Show Source
-
timeHour: integer
(int32)
Time in hour.Example:
5 -
timeMinute: integer
(int32)
Time in minute.Example:
5 -
timePeriod: string
Time period.Example:
AM -
timeZone: string
Time zone.Example:
UTC
Example:
{
"timeHour":2,
"timeMinute":30,
"timePeriod":"AM",
"timeZone":"UTC"
}Nested Schema : ResupplyType
Type:
objectTitle:
ResupplyTypeContains resupply detail.
Show Source
-
resupplyName: string
Resupply name.Example:
Primary -
resupplyType: string
Resupply type.Example:
MINMAX
Examples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples